summaryrefslogtreecommitdiffstats
path: root/scripts/bash/pdns_init_zone
diff options
context:
space:
mode:
authorGeorg2021-07-21 13:47:29 +0200
committerGeorg2021-07-21 13:47:29 +0200
commit16d3474327644bad618dcf5fb4548a8d52e7c2f8 (patch)
treef66b33587d4f52f5ed669a41a23273bc55edd3b8 /scripts/bash/pdns_init_zone
parent2678e73ff1eb2f4e0a5d02a750ec4c047333da6b (diff)
downloadsystem-16d3474327644bad618dcf5fb4548a8d52e7c2f8.tar.gz
system-16d3474327644bad618dcf5fb4548a8d52e7c2f8.tar.bz2
system-16d3474327644bad618dcf5fb4548a8d52e7c2f8.zip
Initial Scripts Run
Signed-off-by: Georg <georg@lysergic.dev>
Diffstat (limited to 'scripts/bash/pdns_init_zone')
-rw-r--r--scripts/bash/pdns_init_zone46
1 files changed, 46 insertions, 0 deletions
diff --git a/scripts/bash/pdns_init_zone b/scripts/bash/pdns_init_zone
new file mode 100644
index 0000000..bcdc3d8
--- /dev/null
+++ b/scripts/bash/pdns_init_zone
@@ -0,0 +1,46 @@
+#!/bin/bash
+
+PDNSGROUP="pdns"
+
+if id -nG $(id -un) | grep -qw "$PDNSGROUP"; then
+
+if [ $# -eq 0 ] || [ $1 == "help" ] || [ $1 == "h" ] || [ $1 == "-h" ] || [ $1 == "-help" ] || [ $1 == "--help" ]; then
+ echo "======================================================="
+ echo "This script will create and secure a new zone in the Lysergic PowerDNS cluster."
+ echo "Please run it by specifying the desired domain name as an argument."
+ echo "Syntax: $ bash domain.sh example.com"
+ echo "Warning: No syntax check will be performed. Make sure you type the domain name exactly right or you'll cause a deep fucking mess."
+ echo "======================================================="
+ exit 1
+fi
+
+else
+ echo "You do not belong to the group $PDNSGROUP and hence are not allowed to run this program."
+ echo "Assign yourself to the group or contact someone who is authorized to do so."
+ exit 1
+fi
+
+DOMAIN=$1
+NS1="ns1.3zy.de"
+NS2="ns2.3zy.de"
+NS3="ns3.3zy.de"
+
+echo "==================================================="
+echo "===== CREATING ZONE FOR DOMAIN $DOMAIN ====="
+echo "==================================================="
+/usr/bin/pdnsutil create-zone $DOMAIN $NS1
+#/usr/bin/pdnsutil add-record $DOMAIN . SOA '$NS1 system.lysergic.dev 1 010800 3600 604800 3600'
+#/usr/bin/pdnsutil add-record $DOMAIN . NS $NS1
+/usr/bin/pdnsutil add-record $DOMAIN . NS $NS2
+/usr/bin/pdnsutil add-record $DOMAIN . NS $NS3
+echo "==================================================="
+echo "================= ENABLING DNSSEC ================="
+echo "==================================================="
+/usr/bin/pdnsutil secure-zone $DOMAIN
+/usr/bin/pdnsutil set-nsec3 $DOMAIN '1 0 1 ab'
+/usr/bin/pdnsutil rectify-zone $DOMAIN
+echo "==================================================="
+/usr/bin/pdnsutil show-zone $DOMAIN
+echo "==================================================="
+/usr/bin/pdnsutil list-zone $DOMAIN
+echo "==================================================="